Microwave filters GUI 2.0.3

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mwfiltersgui.Stouchstone Class Reference

[S] parameters class, as read from Touchstone file. More...

## Public Member Functions
def | __init__
| Set frequency axis and S parameters, including phase and group delay, read from a Touchstone file.

## Detailed Description

[S] parameters class, as read from Touchstone file.

It contains the minimum number of attributes to plot the [S] parameters in the results comparison window. Of course, the attributes share the same name as the corresponding ones in libcommonfunc.Sparameters class.

Definition at line 664 of file mwfiltersgui.py.

## Constructor & Destructor Documentation

def mwfiltersgui.Stouchstone.__init__ | ( |  | self,
|  |  | fileName
| ) |  |

Set frequency axis and S parameters, including phase and group delay, read from a Touchstone file.

        Touchstone is a trademark of Agilent Corporation
        @param fileName = File Name

Frequency axis (Hz) Parameter Parameter Parameter Parameter Phase of return losses (rad) Phase of inverse transfer function (rad) Phase of transfer function (rad) Phase of inverse return losses (rad) Frequency axis with sampling points in the middle of self.freq sampling. It is necessary to plot self.groupDelay2 Group delay for the unnormalized filter (sec), sampled at self.freq2

Definition at line 672 of file mwfiltersgui.py.

References libcommonfunc.criticalErrorMsg(), mwfiltersgui.Stouchstone.freq, libcommonfunc.Sparameters.freq, mwfiltersgui.Stouchstone.freq2, libcommonfunc.Sparameters.freq2, mwfiltersgui.Stouchstone.groupDelay2, libcommonfunc.Sparameters.groupDelay2, libcommonfunc.myPrint(), mwfiltersgui.Stouchstone.phaseS11, libcommonfunc.Sparameters.phaseS11, mwfiltersgui.Stouchstone.phaseS12, mwfiltersgui.Stouchstone.phaseS21, libcommonfunc.Sparameters.phaseS21, mwfiltersgui.Stouchstone.phaseS22, libcommonfunc.Sparameters.phaseS22, mwfiltersgui.Stouchstone.S11, libcommonfunc.Sparameters.S11, mwfiltersgui.Stouchstone.S12, libcommonfunc.Sparameters.S12, mwfiltersgui.Stouchstone.S21, libcommonfunc.Sparameters.S21, mwfiltersgui.Stouchstone.S22, and libcommonfunc.Sparameters.S22.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- mwfiltersgui.py